<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';

?>
<html>
<head>
	<title>Seller List</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>
	
	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:1%;
			padding:10px;
		}
		.div1 input, .div1 select{
			height:35px;
			width:200px;
			font-size:18px;
			padding:2px 10px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 10px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			cursor:pointer;
			transition:1s;
		}
		input[type=submit]:hover{
			background:white;
			color:#883333;
			border:solid #6b5127 1px;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:10px 20px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:16px;
			border-collapse:collapse;
			padding:2px 10px;
			margin:1%;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		#inpDataList{display:none;}
		.fa-check, .fa-ban{font-size:20px;}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input, .div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
	</style>
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Seller List :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function searchAnyone()
			        {
			            var UsrType = document.getElementById("UsrType").value;
			            if(UsrType=="ANYONE USER")
			            {
			                document.getElementById("inpDataList").style.display = "inline";
			            }
			            else
			            {
			                document.getElementById("inpDataList").style.display = "none";
			            }
			        }
			        
			        function blockUsr(Arg)
			        {
			            var inpid = Arg;
			            var sellerId = document.getElementById(inpid).value;
			            var confrim_rslt = confirm("Are You Sure To Do Block This User ?");
			            
			            if(confrim_rslt==true)
			            {
			                var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","ajax_block_usr.php?sellerId="+sellerId+"&inpid="+inpid, false)
							xmlhttpState.send(null);
							document.getElementById("ip"+inpid).innerHTML = xmlhttpState.responseText;
			            }	
			        }
			        
			        function unblockUsr(Arg)
			        {
			            var inpid = Arg;
			            var sellerId = document.getElementById(inpid).value;
			            var confrim_rslt = confirm("Are You Sure To Do Unblock This User ?");
			            
			            if(confrim_rslt==true)
			            {
			                var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","ajax_unblock_usr.php?sellerId="+sellerId+"&inpid="+inpid, false)
							xmlhttpState.send(null);
							document.getElementById("ip"+inpid).innerHTML = xmlhttpState.responseText;
			            }
			        }
			    </script>
				<form method="post">
					<div class="div1">
					    <SELECT NAME="userType" id="UsrType" ONCHANGE="searchAnyone()" >
					    <?php
					        if(isset($_POST['submit']))
					        {
					            $userType = $_POST['userType'];
					                if($userType=="ALL ACTIVE")
								    {
								        $selected1 ="SELECTED";
								    }
								    elseif($userType=="ALL DEACTIVE")
								    {
								        $selected2 ="SELECTED";
								    }
								    elseif($userType=="ANYONE USER")
								    {
								        $selected3 ="SELECTED";
								    }
								    elseif($userType=="ALL BLOCKED")
								    {
								        $selected4 ="SELECTED";
								    }
								    elseif($userType=="ALL UNBLOCKED")
								    {
								        $selected5 ="SELECTED";
								    }
					        }
					        echo "<OPTION ".$selected1.">ALL ACTIVE</OPTION>
					        <OPTION ".$selected2.">ALL DEACTIVE</OPTION>
					        <OPTION ".$selected3.">ANYONE USER</OPTION>";
					   ?>
					    </SELECT>
						<select id="inpDataList" name="retailer">
						    <option>--Select Retailer--</option>
						    <?php
						        $quGetRet="SELECT * FROM Seller ORDER BY Name";
						        $reGetRet=mysqli_query($con,$quGetRet);
						        while($dataGetRet=mysqli_fetch_array($reGetRet))
						        {
						            echo "<option value='".$dataGetRet['Id']."'>".$dataGetRet['Name']." - ".$dataGetRet['Firm']."</option>";
						        }
						        
						        
						    ?>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2" id="downlinePlace">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Sl.</th>
							<th>Name</th>
							<th>Firm</th>
							<th>GST</th>
							<th>City</th>
							<th colspan='5'>Action</th>
						</tr>
						<?php	
						$date1=date_create($date);
		                date_sub($date1,date_interval_create_from_date_string("7 days"));
		                $resultdate=date_format($date1,"Y-m-d");
		
								$sl=0;
								if(isset($_POST['submit']))
								{
								    $userType = $_POST['userType'];
								    $sellerId = $_POST['retailer'];
								    
								    if($userType=="ALL ACTIVE")
								    {
								        $UsrQu="SELECT * FROM Seller WHERE Status='Active' ORDER BY Name";
								    }
								    elseif($userType=="ALL DEACTIVE")
								    {
								        $UsrQu="SELECT * FROM Seller WHERE Status='Deactive' ORDER BY Name";
								    }
								    elseif($userType=="ANYONE USER")
								    {
								        $UsrQu="SELECT * FROM Seller WHERE Id='$sellerId'";
								    }
								}
								else
								{
								    $UsrQu="SELECT * FROM Seller WHERE Status='Active' ORDER BY Name";
								    
								}
								$UsrResult=mysqli_query($con,$UsrQu);
								while($UsrData=mysqli_fetch_array($UsrResult))
								{
									$sl=$sl+1;
									echo "<tr>";
										echo "<td>".$sl."<input style='display:none' type='hide' id='".$sl."' value='".$UsrData['Id']."'></td>";
										echo "<td>".$UsrData['Name']."</td>";
										echo "<td>".$UsrData['Firm']."</td>";
										echo "<td>".$UsrData['GstNo']."</td>";
										echo "<td>".$UsrData['City']."</td>";
										echo "<td id='ip".$sl."'>";
										        if($UsrData['Status']=="Active")
										        {
										           echo "<i class='fa fa-check' style='color:lime;' onclick='blockUsr(".$sl.")'></i></span>";
										        }
										        else
										        {
										           echo "<i class='fa fa-ban' style='color:red;' onclick='unblockUsr(".$sl.")'></i></span>";
										        }
										echo "</td>";
									echo "</tr>";
								}
							
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>